struct sock_common
Prev | Socket Buffer Functions | Next

## Name

struct sock_common — minimal network layer representation of sockets

## Synopsis

    struct sock_common {
      unsigned short skc_family;
      volatile unsigned char skc_state;
      unsigned char skc_reuse;
      int skc_bound_dev_if;
      struct hlist_node skc_node;
      struct hlist_node skc_bind_node;
      atomic_t skc_refcnt;
      unsigned int skc_hash;
      struct proto * skc_prot;
      struct net * skc_net;
    };

## Members

skc_family

  network address family

skc_state

  Connection state

skc_reuse

  `SO_REUSEADDR` setting

skc_bound_dev_if

  bound device index if != 0

skc_node

  main hash linkage for various protocol lookup tables

skc_bind_node

  bind hash linkage for various protocol lookup tables

skc_refcnt

  reference count

skc_hash

  hash value used with various protocol lookup tables

skc_prot

  protocol handlers inside a network family

skc_net

  reference to the network namespace of this socket

## Description

This is the minimal network layer representation of sockets, the header for struct sock and struct inet_timewait_sock.

Prev | Up | Next
skb_checksum_complete | Home | struct sock